Bug 264 - Selection of Favourite in Audio applet should start immediately
: Selection of Favourite in Audio applet should start immediately
Status: RESOLVED FIXED
Product: Desktop Widgets
Internet radio
: 2.1
: All Maemo
: Low enhancement (vote)
: 5.0 (1.2009.41-10)
Assigned To: Quim Gil
: internet-radio-applet-bugs
:
: enhancement-it2006
:
:
  Show dependency tree
 
Reported: 2005-11-12 15:54 UTC by Simon Budig
Modified: 2008-11-18 11:54 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Simon Budig (reporter) 2005-11-12 15:54:13 UTC
I kind of expect that selecting a favourite in the desktop audio applet
automatically starts the streaming, especially when there is a stream running
and I select a different one. I keep forgetting to hit "play" after selecting a
stream.
Comment 1 Maemo QA (deprecated) 2006-05-02 15:00:58 UTC
Claiming ownership.
Comment 2 Maemo QA (deprecated) 2006-05-02 15:01:30 UTC
Simon, is this still an issue with the latest product image (2006-13)?
Comment 3 Simon Budig (reporter) 2006-05-02 15:17:41 UTC
Having some experience on handling bug reports I consider this a poor response
-
let me abuse this report for some small advice:

Good responses would have been:

- "I don't understand your report, can you try to rephrase or clarify?"
- "I tried it with the current software release and the behaviour now seems
   to match your behaviour. Can you confirm this?"
- "This is done intentionally to prevent the user from accidentially changing
   the radio station. Closing as WONTFIX".

Your answer basically boils down to:

"I did not even bother to understand your report or to reproduce it, can you
please upgrade your system to a version with pretty bad known bugs (timezone
issues), reinstall all your software and check if it is fixed?"

It is not exactly rocket science to try my description above and I'll happliy
try to clarify if the description is unclear. It is like two clicks in the GUI
to test this. If you cannot be bothered with this you'll have to release a
firmware that has this timezone bug fixed and then wait for me to have the
opportunity to install that fixed firmware and do the two clicks myself. Just
actually using your own device might yield a faster response...
Comment 4 Urho Konttori 2006-05-02 16:03:40 UTC
I have tested the behaviour with the latest firmware (2006-13) and it still
works as described by Simon.
Comment 5 Maemo QA (deprecated) 2006-05-02 16:36:54 UTC
(In reply to comment #3)
> Having some experience on handling bug reports I consider this a poor response -

Sorry for any inconvenience my request has caused you. I wanted to ask you to
help me a little bit before forwarding the bug to the upstream maintainer. I
wrongly assumed that you have the latest release installed. Sorry about that. 

Thanks Urho for verifying the bug. Bug has been reported to upstream maintainer.
Comment 6 Maemo QA (deprecated) 2006-05-17 16:51:31 UTC
This issue has been fixed in Internet Tablet 2006 Software Edition. Thus
marking
bug FIXED. Please verify with the IT2006SE image after it has been publicly
released.
Comment 7 Simon Budig (reporter) 2006-06-09 19:50:06 UTC
I cannot confirm this: this still does not work. When selecting a stream in the
desktop applet I still need to press the "play" button to actually get the
stream playing.

This is with the BETA.SU-18_2006SE_0.2006.22-21_PR_F5_MR0_ARM firmware.

Reopening.
Comment 8 Simon Budig (reporter) 2006-06-11 23:46:29 UTC
Ok, if a stream is playing and you select a new one then it immediately starts
playing the new stream. That is new behaviour.

I'd like to also have it *start* playing when no stream is playing and a stream
gets selected from the dropdown-list.
Comment 9 Maemo QA (deprecated) 2006-06-19 19:00:35 UTC
Marked as an enchantment request.
Comment 10 Quim Gil nokia 2008-11-17 08:46:52 UTC
Setting to Low priority, although I've asked about the status of this
enhancement request in following releases.
Comment 11 Quim Gil nokia 2008-11-18 11:54:48 UTC
This is being fixed in Fremantle, as part of the Media Player development and
its integrated home applet.